# BlendDataImages(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``BlendDataImages`(bpy_struct)

  Collection of images

  `is_updated`

    Type: | boolean, default False, (readonly)

  `new`(name, width, height, alpha=False, float_buffer=False, stereo3d=False)

    Add a new image to the main database

    Parameters: | name (string, (never None)) – New name for the data-block width (int in [1, inf]) – Width of the image height (int in [1, inf]) – Height of the image alpha (boolean, (optional)) – Alpha, Use alpha channel float_buffer (boolean, (optional)) – Float Buffer, Create an image with floating point color stereo3d (boolean, (optional)) – Stereo 3D, Create left and right views
    Returns: | New image data-block
    Return type: | `Image`

  `load`(filepath, check_existing=False)

    Load a new image into the main database

    Parameters: | filepath (string, (never None)) – path of the file to load check_existing (boolean, (optional)) – Using existing data-block if this file is already loaded
    Returns: | New image data-block
    Return type: | `Image`

  `remove`(image)

    Remove an image from the current blendfile

    Parameters: | image (`Image`, (never None)) – Image to remove

  `tag`(value)

    tag

    Parameters: | value (boolean) – Value

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`BlendData.images` |